Package org.apache.sling.testing.mock.sling.builder

# Class ImmutableValueMap.Builder

java.lang.Object
org.apache.sling.testing.mock.sling.builder.ImmutableValueMap.Builder

Enclosing class:
  `ImmutableValueMap`

public static final class ImmutableValueMap.Builder extends Object
Builder interface for `ImmutableValueMap`.

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ImmutableValueMap`
`build()`
Returns a newly-created immutable map.
`@NotNull ImmutableValueMap.Builder`
`put(@NotNull String key, @NotNull Object value)`
Associates `key` with `value` in the built map.
`@NotNull ImmutableValueMap.Builder`
`put(@NotNull Map.Entry<String,Object> entry)`
Adds the given `entry` to the map, making it immutable if necessary.
`@NotNull ImmutableValueMap.Builder`
`putAll(@NotNull Map<String,Object> value)`
Associates all of the given map's keys and values in the built map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### put

@NotNull public @NotNull ImmutableValueMap.Builder put(@NotNull @NotNull String key, @NotNull @NotNull Object value)
Associates `key` with `value` in the built map. Duplicate keys are not allowed, and will cause `build()` to fail.

Parameters:
  `key` - Key
  `value` - value
Returns:
  this

### put

@NotNull public @NotNull ImmutableValueMap.Builder put(@NotNull @NotNull Map.Entry<String,Object> entry)
Adds the given `entry` to the map, making it immutable if necessary. Duplicate keys are not allowed, and will cause `build()` to fail.

Parameters:
  `entry` - Entry
Returns:
  this

### putAll

@NotNull public @NotNull ImmutableValueMap.Builder putAll(@NotNull @NotNull Map<String,Object> value)
Associates all of the given map's keys and values in the built map. Duplicate keys are not allowed, and will cause `build()` to fail.

Parameters:
  `value` - Value
Returns:
  this
Throws:
  `NullPointerException` - if any key or value in `map` is null

### build

@NotNull public @NotNull ImmutableValueMap build()
Returns a newly-created immutable map.

Returns:
  ImmutableValueMap
Throws:
  `IllegalArgumentException` - if duplicate keys were added